> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/layouts/layouts_editor_library_search.md).

# Using Library Searches

Xibo supports a variety of file based Media types. Along with Image, Video and Audio files, show PDF's, PowerPoints as well as complete HTML Packages on your Displays.

File based Media can be first uploaded to the **CMS Library** ahead of time, or added directly using the file uploader when creating **Layouts** and **Playlists**.

## How-to Video Using Library Searches

{% embed url="<https://youtu.be/pH3mtxZ7mOE>" %}

Media already saved to the Library, can be easily selected by using a **Library Search** function.

Available from the **Toolbox**, each **Media** file type can be viewed and added from here.

When using the **Other Media** search, use the **Type** drop down to select from the available options.

* Use filters to limit returned results for searches and make it easier to find the content to use.

New Media files can be directly uploaded and added by using the file uploader for a selected Media type.

* Drag and drop or click to add the uploader.

Once uploaded, the file will be added to the **CMS Library** and will be shown for future selection in relevant Library Searches.

{% hint style="success" %}
Try using the expander function by clicking the icon at the bottom of the **Toolbox** for easier media assignment!&#x20;
{% endhint %}

## Pixabay

Pixabay integration gives Users easy access to additional Image and Video resources from within the CMS.

Any Images/videos used from Pixabay will automatically be added to your CMS Library and made available for future use from the Image/Video Library Search functions.

Clicking in the top right of a thumbnail will play a preview in a separate window. This window can also be enlarged using the arrow in the top left and can be added to the canvas from here by clicking the `+` button at the top.

## Further Reading

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

{% content-ref url="/pages/PGDGhvmOXnQCsLtVYM5C" %}
[Show a Playlist](/getting-started/getting_started_showing_a_playlist.md)
{% endcontent-ref %}

## FAQs

***I don't see Pixabay in the Toolbox?***

Pixabay is enabled from the **Administration** section of the CMS by clicking **Applications**. Scroll down to the **Connectors** section and select **Configure** to enable.

Self hosted customers will need to enter an API Key from signing up for a Pixabay account: [PixabayAPI Documentation](https://pixabay.com/api/docs/) to enable.

***I don't see all 4 levels when I click the expander?***

It will only expand to a sensible level dependent on the screen size you are working on. When using on screens with less than 1600px it will limit the total number of available levels to view. m

***How do I show a PowerPoint on my non-Windows Displays?***

Use the option on the file menu inside the PowerPoint application to convert to Video and export to upload to the CMS as a Video file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/layouts/layouts_editor_library_search.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
